#include <iostream>

using namespace std;

int main()
{
    long long n, m;
    cin >> n >> m;
    if(n==1)cout << m<<endl;
    else if(m==1) cout << n << endl;
    else cout << ((m*n) + 2*n + 2*m - 4) / 2 << endl;

    return 0;
}